- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# StoredConstMemberFunctionPointerCall4< T, Class, Param1, Arg1, Param2, Arg2, Param3, Arg3, Param4, Arg4 > Class Template Reference

Search for all occurrences

## Detailed Description

### template<typename T, typename Class, typename Param1, typename Arg1, typename Param2, typename Arg2, typename Param3, typename Arg3, typename Param4, typename Arg4>
class QtConcurrent::StoredConstMemberFunctionPointerCall4< T, Class, Param1, Arg1, Param2, Arg2, Param3, Arg3, Param4, Arg4 >

Definition at line 1071 of file qtconcurrentstoredfunctioncall.h.

`#include <qtconcurrentstoredfunctioncall.h>`

Inheritance diagram for StoredConstMemberFunctionPointerCall4< T, Class, Param1, Arg1, Param2, Arg2, Param3, Arg3, Param4, Arg4 >:
[legend]

List of all members.

## Public Member Functions
| StoredConstMemberFunctionPointerCall4 (T(Class::*_fn)(Param1, Param2, Param3, Param4) const, Class const *_object, const Arg1 &_arg1, const Arg2 &_arg2, const Arg3 &_arg3, const Arg4 &_arg4)
void | runFunctor ()

## Constructor & Destructor Documentation

StoredConstMemberFunctionPointerCall4 | ( | T(Class::*)(Param1, Param2, Param3, Param4) const | _fn,
|  | Class const * | _object,
|  | const Arg1 & | _arg1,
|  | const Arg2 & | _arg2,
|  | const Arg3 & | _arg3,
|  | const Arg4 & | _arg4
| ) |  | `[inline]`

Definition at line 1074 of file qtconcurrentstoredfunctioncall.h.

        : fn(_fn), object(_object), arg1(_arg1), arg2(_arg2), arg3(_arg3), arg4(_arg4){ }

## Member Function Documentation

void runFunctor | ( |  | ) | `[inline, virtual]`

Search for all occurrences

Implements RunFunctionTaskBase< T >.

Definition at line 1077 of file qtconcurrentstoredfunctioncall.h.

        {
            this->result = (object->*fn)(arg1, arg2, arg3, arg4);
        }

The documentation for this class was generated from the following file:

- QtCore/qtconcurrentstoredfunctioncall.h